Groovy 1.7.0

## org.codehaus.groovy.ast.expr
Class DeclarationExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.BinaryExpression
                      org.codehaus.groovy.ast.expr.DeclarationExpression

    class DeclarationExpression
    extends BinaryExpression

Represents a local variable name declaration, an expression like "def foo" or with type "String foo".

author:
  Jochen Theodorou

version:
  $Revision: 13691 $

Constructor Summary
`DeclarationExpression(VariableExpression left, Token operation, Expression right)`
`DeclarationExpression(Expression left, Token operation, Expression right)`

Method Summary
`VariableExpression` | `getVariableExpression()`
`boolean` | `isMultipleAssignmentDeclaration()`
`void` | `setLeftExpression(Expression leftExpression)`
`void` | `setRightExpression(Expression rightExpression)`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class BinaryExpression
getLeftExpression, getOperation, getRightExpression, getText, newAssignmentExpression, newInitializationExpression, setLeftExpression, setRightExpression, toString, transformExpression, visit

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, isSynthetic, setDeclaringClass, setSynthetic

Methods inherited from class ASTNode
getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getText, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### DeclarationExpression

    public DeclarationExpression(VariableExpression left, Token operation, Expression right)

### DeclarationExpression

    public DeclarationExpression(Expression left, Token operation, Expression right)

Method Detail

### getVariableExpression

    public VariableExpression getVariableExpression()

### isMultipleAssignmentDeclaration

    public boolean isMultipleAssignmentDeclaration()

### setLeftExpression

    public void setLeftExpression(Expression leftExpression)

### setRightExpression

    public void setRightExpression(Expression rightExpression)

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2009 The Codehaus. All rights reserved.